Gateway
40 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| uploadIspFile | POST | Upload isp upgrade file |
| deleteIspFile | DELETE | Delete isp file |
| getSpecifiedGatewayInfos | GET | Get global gateways wan status |
| changeIpv6State | POST | Modify IPv6 state |
| ispUpgrade | POST | Upgrade isp |
| moveToSite_1 | POST | Move devices to another site |
| getClientDhcpLeaseTimes | POST | Get gateway dhcp client lease time |
| getGatewayInfo_1 | GET | Get gateway info |
| changeOduMode | POST | Change mode for 5G-Outdoor |
| modifyConfigAdvanced | PUT | Modify gateway advanced config |
| modifyConfigCommonAdvanced | PUT | Modify gateway advanced common config |
| modifyConfigWirelessAdvanced | PUT | Modify gateway advanced wireless config |
| modifyConfigGeneral | PUT | Modify gateway general config v2 |
| modifyConfigRadios | PUT | Modify gateway radios config |
| modifyConfigServices | PUT | Modify gateway config service |
| modifySshSettingByMac | PUT | Modify SSH setting by mac |
| modifyConfigWlans | PUT | Modify gateway wlans config |
| getSsidDetail_1 | GET | Get SSID detail info |
| modifySsidBasicConfig | PATCH | modify SSID basic config |
| modifySsidMacFilterConfig | PATCH | Update SSID mac filter config |
| getGridDhcpUserList_1 | GET | Get gateway dhcp user list |
| getGeneralConfig_1 | GET | Get gateway general config |
| modifyGeneralConfig_1 | PATCH | Modify gateway general config (deprecated) |
| changeInternetState | POST | Change Internet State |
| getLanStatus | GET | Get gateway lan status |
| batchModifyPortConfig | PATCH | Batch modify gateway port config |
| getIpptLanIpv6 | GET | Get lan ipv6 config for ippt |
| modifyIpptLanIpv6 | PATCH | Modify lan ipv6 config for ippt |
| getPinSetting | GET | Get PIN setting |
| changePinSetting | PUT | Modify PIN management information of an LTE model |
| getPorts | GET | Get gateway ports |
| modifyPortConfig_1 | PATCH | Modify gateway port config |
| recoveryPoePort | POST | Recovery gateway poe port |
| getSimCardUsed | GET | Get SIM card used |
| getWanStatus | GET | Get gateway wan status |
| getEnableWanDetail | GET | Get enable wan port detail |
| mspMoveToCustomer_2 | POST | Move site to target customer |
| modifyOsgConfigForMsp | PATCH | Modify gateway config for msp |
| changeOduModeForMsp | POST | Change mode for 5G-Outdoor for msp |
| modifyOsgConfigGeneralForMsp | PUT | Modify general gateway config for msp |
uploadIspFile
POST /openapi/v1/{omadacId}/files/sites/{siteId}/gateways/{gatewayMac}/isp-upgrade
Upload isp upgrade file
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (optional)
| Field | Type | Required | Description |
|---|---|---|---|
file | string (binary) | yes |
// omada_call_operation
{
"operationId": "uploadIspFile",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Upload isp upgrade file
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-44302 - Failed to upload. Please upload the file that is no more than 512 KB.
deleteIspFile
DELETE /openapi/v1/{omadacId}/files/sites/{siteId}/gateways/{gatewayMac}/isp-upgrade/{fileId}
Delete isp file
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
fileId | path | string | yes | fileId |
// omada_call_operation
{
"operationId": "deleteIspFile",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>",
"fileId": "<fileId>"
}
}Details, permissions and error codes
Delete isp file
The interface requires one of the permissions:
Site Device Manager Modify
getSpecifiedGatewayInfos
GET /openapi/v1/{omadacId}/global/gateways/wan-status
Get global gateways wan status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getSpecifiedGatewayInfos"
}Details, permissions and error codes
Get global gateways wan status
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-7131 - Controller ID not exist.
changeIpv6State
POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/gateways/{gatewayMac}/ipv6State
Modify IPv6 state
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema ModifyIpv6State
| Field | Type | Required | Description |
|---|---|---|---|
portId | integer | yes | Port ID |
operation | integer | yes | Operation |
// omada_call_operation
{
"operationId": "changeIpv6State",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify IPv6 state
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39505 - Failed to change the state of the internet connection for the WAN port of the gateway.
ispUpgrade
POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/gateways/{gatewayMac}/isp-upgrade
Upgrade isp
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema GatewayIspUpgrade
| Field | Type | Required | Description |
|---|---|---|---|
fileId | string | no | File Id |
// omada_call_operation
{
"operationId": "ispUpgrade",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Upgrade isp
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-44301 - Failed to get any response from the gateway.
-44303 - Failed to upgrade isp file.
-44304 - Cannot perform the operation because file has exceeded the maximum cache time (5 min).
-44305 - Do not make any configuration changes until the device is stably connected.
-44306 - ISP file is too old.
-44307 - Failed to upload the ISP file. Please select the correct file and try again.
moveToSite_1
POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/gateways/move
Move devices to another site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema MoveToSite
| Field | Type | Required | Description |
|---|---|---|---|
deviceMacs | array<string> | no | Device mac list |
stackIds | array<string> | no | Stack id list |
site | string | yes | Target site key |
// omada_call_operation
{
"operationId": "moveToSite_1",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Move devices to another site
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-44261 - The device does not support cluster and can only be adopted to its own site.
getClientDhcpLeaseTimes
POST /openapi/v1/{omadacId}/sites/{siteId}/dhcp-lease-time
Get gateway dhcp client lease time
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema QueryDhcpLeaseTimeVO
| Field | Type | Required | Description |
|---|---|---|---|
queryDhcpLeaseTimeParamVOS | array<QueryDhcpLeaseTimeParamVO> | yes |
// omada_call_operation
{
"operationId": "getClientDhcpLeaseTimes",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Get gateway dhcp client lease time.
The interface requires one of the permissions:
Site Device Manager View Only
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-35927 - The current gateway does not support obtaining the DHCP Client List.
getGatewayInfo_1
GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}
Get gateway info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getGatewayInfo_1",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
}
}Details, permissions and error codes
Get gateway info
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-39507 - Gateway mirroring port reaches max limit.
-39706 - Please choose at least one port or LAG to be mirrored.
-39718 - Mirrored ports contain invalid port.
changeOduMode
POST /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/change-mode
Change mode for 5G-Outdoor
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema ChangeOduModeVO
| Field | Type | Required | Description |
|---|---|---|---|
ippt | boolean | no | Current device mode: Ip Pass-through or not. |
// omada_call_operation
{
"operationId": "changeOduMode",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Change mode for 5G-Outdoor
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
modifyConfigAdvanced
PUT /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/config/advanced
Modify gateway advanced config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema OsgConfigAdvancedOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
hwOffloadEnable | boolean | no | Hardware Offload enabled or not. |
lldpEnable | boolean | no | LLDP enabled or not. Deprecated, filed lldpSetting is recommended |
lldpSetting | integer | no | LLDP setting. 0: Off, 1: On, 2: Follow site. |
poeSettings | array<OsgPortPoeOpenApiVO> | no | Port Poe setting list. |
echoServer | string | no | Echo Server should be a domain name or IP address. |
lbSetting2g | ApLoadBalanceOpenApiVO | no | (ApLoadBalanceOpenApiVO not expanded; call omada_get_schema "ApLoadBalanceOpenApiVO") |
lbSetting5g | ApLoadBalanceOpenApiVO | no | (ApLoadBalanceOpenApiVO not expanded; call omada_get_schema "ApLoadBalanceOpenApiVO") |
lbSetting5g1 | ApLoadBalanceOpenApiVO | no | (ApLoadBalanceOpenApiVO not expanded; call omada_get_schema "ApLoadBalanceOpenApiVO") |
lbSetting5g2 | ApLoadBalanceOpenApiVO | no | (ApLoadBalanceOpenApiVO not expanded; call omada_get_schema "ApLoadBalanceOpenApiVO") |
lbSetting6g | ApLoadBalanceOpenApiVO | no | (ApLoadBalanceOpenApiVO not expanded; call omada_get_schema "ApLoadBalanceOpenApiVO") |
rssiSetting2g | ApRssiThresholdOpenApiVO | no | (ApRssiThresholdOpenApiVO not expanded; call omada_get_schema "ApRssiThresholdOpenApiVO") |
rssiSetting5g | ApRssiThresholdOpenApiVO | no | (ApRssiThresholdOpenApiVO not expanded; call omada_get_schema "ApRssiThresholdOpenApiVO") |
rssiSetting5g1 | ApRssiThresholdOpenApiVO | no | (ApRssiThresholdOpenApiVO not expanded; call omada_get_schema "ApRssiThresholdOpenApiVO") |
rssiSetting5g2 | ApRssiThresholdOpenApiVO | no | (ApRssiThresholdOpenApiVO not expanded; call omada_get_schema "ApRssiThresholdOpenApiVO") |
rssiSetting6g | ApRssiThresholdOpenApiVO | no | (ApRssiThresholdOpenApiVO not expanded; call omada_get_schema "ApRssiThresholdOpenApiVO") |
qosSetting2g | ApQosOpenApiVO | no | (ApQosOpenApiVO not expanded; call omada_get_schema "ApQosOpenApiVO") |
qosSetting5g | ApQosOpenApiVO | no | (ApQosOpenApiVO not expanded; call omada_get_schema "ApQosOpenApiVO") |
qosSetting5g1 | ApQosOpenApiVO | no | (ApQosOpenApiVO not expanded; call omada_get_schema "ApQosOpenApiVO") |
qosSetting5g2 | ApQosOpenApiVO | no | (ApQosOpenApiVO not expanded; call omada_get_schema "ApQosOpenApiVO") |
qosSetting6g | ApQosOpenApiVO | no | (ApQosOpenApiVO not expanded; call omada_get_schema "ApQosOpenApiVO") |
ofdmaEnable2g | boolean | no | Enable or disable OFDMA of 2.4 GHz. |
ofdmaEnable5g | boolean | no | Enable or disable OFDMA of 5 GHz. |
ofdmaEnable5g1 | boolean | no | Enable or disable OFDMA of 5 GHz-1. |
ofdmaEnable5g2 | boolean | no | Enable or disable OFDMA of 5 GHz-2. |
ofdmaEnable6g | boolean | no | Enable or disable OFDMA of 6 GHz. |
// omada_call_operation
{
"operationId": "modifyConfigAdvanced",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify gateway advanced config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
modifyConfigCommonAdvanced
PUT /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/config/advanced/common
Modify gateway advanced common config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema OsgConfigCommonAdvancedOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
hwOffloadEnable | boolean | no | |
lldpEnable | boolean | no | Deprecated, filed lldpSetting is recommended |
lldpSetting | integer | no | |
poeSettings | array<OsgPortPoeVO> | no | |
echoServer | string | no |
// omada_call_operation
{
"operationId": "modifyConfigCommonAdvanced",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify gateway advanced common config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
modifyConfigWirelessAdvanced
PUT /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/config/advanced/wireless
Modify gateway advanced wireless config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema OsgConfigWirelessAdvancedOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
lbSetting2g | ApLoadBalanceVO | no | (ApLoadBalanceVO not expanded; call omada_get_schema "ApLoadBalanceVO") |
lbSetting5g | ApLoadBalanceVO | no | (ApLoadBalanceVO not expanded; call omada_get_schema "ApLoadBalanceVO") |
lbSetting5g1 | ApLoadBalanceVO | no | (ApLoadBalanceVO not expanded; call omada_get_schema "ApLoadBalanceVO") |
lbSetting5g2 | ApLoadBalanceVO | no | (ApLoadBalanceVO not expanded; call omada_get_schema "ApLoadBalanceVO") |
lbSetting6g | ApLoadBalanceVO | no | (ApLoadBalanceVO not expanded; call omada_get_schema "ApLoadBalanceVO") |
rssiSetting2g | ApRssiThresholdVO | no | (ApRssiThresholdVO not expanded; call omada_get_schema "ApRssiThresholdVO") |
rssiSetting5g | ApRssiThresholdVO | no | (ApRssiThresholdVO not expanded; call omada_get_schema "ApRssiThresholdVO") |
rssiSetting5g1 | ApRssiThresholdVO | no | (ApRssiThresholdVO not expanded; call omada_get_schema "ApRssiThresholdVO") |
rssiSetting5g2 | ApRssiThresholdVO | no | (ApRssiThresholdVO not expanded; call omada_get_schema "ApRssiThresholdVO") |
rssiSetting6g | ApRssiThresholdVO | no | (ApRssiThresholdVO not expanded; call omada_get_schema "ApRssiThresholdVO") |
qosSetting2g | ApQosVO | no | (ApQosVO not expanded; call omada_get_schema "ApQosVO") |
qosSetting5g | ApQosVO | no | (ApQosVO not expanded; call omada_get_schema "ApQosVO") |
qosSetting5g1 | ApQosVO | no | (ApQosVO not expanded; call omada_get_schema "ApQosVO") |
qosSetting5g2 | ApQosVO | no | (ApQosVO not expanded; call omada_get_schema "ApQosVO") |
qosSetting6g | ApQosVO | no | (ApQosVO not expanded; call omada_get_schema "ApQosVO") |
ofdmaEnable2g | boolean | no | |
ofdmaEnable5g | boolean | no | |
ofdmaEnable5g1 | boolean | no | |
ofdmaEnable5g2 | boolean | no | |
ofdmaEnable6g | boolean | no |
// omada_call_operation
{
"operationId": "modifyConfigWirelessAdvanced",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify gateway advanced wireless config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
modifyConfigGeneral
PUT /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/config/general
Modify gateway general config v2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema GatewayGeneralConfig
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Device name should contain 1 to 128 characters. |
ledSetting | integer | yes | Led setting should be a value as follows: 0:off; 1:on; 2:Use Site Settings |
tagIds | array<string> | no | Tag IDs |
location | DeviceLocationDetailVO | no | (DeviceLocationDetailVO not expanded; call omada_get_schema "DeviceLocationDetailVO") |
snmp | OsgSnmpOpenApiVO | no | (OsgSnmpOpenApiVO not expanded; call omada_get_schema "OsgSnmpOpenApiVO") |
rememberDevice | integer | no |
// omada_call_operation
{
"operationId": "modifyConfigGeneral",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify gateway general config v2
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39093 - The length of the device name exceeds the limit.
-39501 - This gateway does not exist.
modifyConfigRadios
PUT /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/config/radios
Modify gateway radios config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema OsgConfigRadiosopenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
radioSetting2g | ApRadioSettingopenApiVO | no | (ApRadioSettingopenApiVO not expanded; call omada_get_schema "ApRadioSettingopenApiVO") |
radioSetting5g | ApRadioSettingopenApiVO | no | (ApRadioSettingopenApiVO not expanded; call omada_get_schema "ApRadioSettingopenApiVO") |
radioSetting5g1 | ApRadioSettingopenApiVO | no | (ApRadioSettingopenApiVO not expanded; call omada_get_schema "ApRadioSettingopenApiVO") |
radioSetting5g2 | ApRadioSettingopenApiVO | no | (ApRadioSettingopenApiVO not expanded; call omada_get_schema "ApRadioSettingopenApiVO") |
radioSetting6g | ApRadioSettingopenApiVO | no | (ApRadioSettingopenApiVO not expanded; call omada_get_schema "ApRadioSettingopenApiVO") |
// omada_call_operation
{
"operationId": "modifyConfigRadios",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify gateway radios config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39093 - The length of the device name exceeds the limit.
-39501 - This gateway does not exist.
-44405 - The configuration has been overridden.
modifyConfigServices
PUT /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/config/services
Modify gateway config service
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema OsgConfigServicesOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
snmp | OsgSnmpOpenApiVO | no | (OsgSnmpOpenApiVO not expanded; call omada_get_schema "OsgSnmpOpenApiVO") |
// omada_call_operation
{
"operationId": "modifyConfigServices",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify gateway config service
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
modifySshSettingByMac
PUT /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/config/services/ssh
Modify SSH setting by mac
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema SSHSetting
| Field | Type | Required | Description |
|---|---|---|---|
sshEnable | boolean | yes | Whether to enable SSH |
sshServerPort | integer | no | SSH server port should be 22 or within the range of 1025-65535. |
layer3Access | boolean | no | Whether to enable layer 3 accessibility |
// omada_call_operation
{
"operationId": "modifySshSettingByMac",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify SSH setting by mac
The interface requires one of the permissions:
Site Settings Manager Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
modifyConfigWlans
PUT /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/config/wlans
Modify gateway wlans config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema OsgConfigWlansOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
wlanId | string | no | WLAN ID |
ssidOverrides | array<OsgSsidOverrideOpenApiVO> | yes | Overrided SSID List |
wlansResource | integer | no | Wlans Resource |
// omada_call_operation
{
"operationId": "modifyConfigWlans",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify gateway wlans config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33221 - The SSID to be edited does not exist.
-33222 - The SSID should contain 1-32 characters.
-33223 - The security key can only contain 8-63 printable ASCII characters or 8-63 hexadecimal digits.
-33231 - The ssid' s name should not be the same with emergency ssid.
-33242 - This SSID VLAN ID cannot be same as the exist default LanNetwork profile.
-33807 - Invalid VLAN ID. Enter a number from 1 to 4094.
-39093 - The length of the device name exceeds the limit.
-39306 - This WLAN group does not exist.
-39307 - Failed to add this AP to the WLAN group because this AP is not in the site of the WLAN group.
-39350 - The SSID of the AP group is used in Gateway ACL. Please delete the related ACL rule first.
-39501 - This gateway does not exist.
-44405 - The configuration has been overridden.
getSsidDetail_1
GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/config/wlans/ssid
Get SSID detail info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getSsidDetail_1",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
}
}Details, permissions and error codes
Get SSID detail info
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-39501 - This gateway does not exist.
modifySsidBasicConfig
PATCH /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/config/wlans/ssid/{ssidId}/basic-config
modify SSID basic config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateSsidBasicConfigForIpptOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | SSID name. It should contain 1 to 32 UTF-8 characters. |
band | integer | yes | SSID band. The lowest bit indicates whether 2.4G is included; the second lowest bit indicates whether 5G is included; the third lowest bit indicates whether 6G is included; 1 means included while 0 means not included. For example, 7(111) means that 2G/5G/6G are enabled; 1(001) means that 2G is enabled. (When 5G is included,it means 5G/5G1/5G2 are enabled.) |
autoWanAccess | boolean | no | Whether to enable auto wan access. True: enable, false: disable. |
security | integer | yes | SSID security mode; Security should be a value as follows: 0: None; 2: WPA-Enterprise; 3: WPA-Personal; 4: PPSK without RADIUS; 5: PPSK with RADIUS. |
oweEnable | boolean | no | Opportunistic Wireless Encryption, also known as Enhanced Open, is a certification provided by the Wi-Fi Alliance as part of the WPA3 wireless security standard. OWE will enable two wireless VAPs per radio, one for access of OWE-supported stations, and one for access of other stations. An SSID with OWE enabled will be counted as two SSID entries for 2G and 5G. Only for security is None and band contains 2.4G or 5G. |
broadcast | boolean | yes | SSID broadcast config status. True: enable, false: disable. |
pskSetting | SsidPskSettingForIpptOpenApiVO | no | (SsidPskSettingForIpptOpenApiVO not expanded; call omada_get_schema "SsidPskSettingForIpptOpenApiVO") |
// omada_call_operation
{
"operationId": "modifySsidBasicConfig",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
modify SSID basic config
The interface requires one of the permissions:
Site Settings Manager Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33217 - Invalid SSID security mode.
-33219 - This SSID already exists.
-33220 - Enter a different SSID to override the current SSID.
-33231 - The ssid' s name should not be the same with emergency ssid.
-33235 - PPSK without RADIUS do not support WPA Mode with WPA3-SAE.
-33238 - The number of SSIDs on %band% has reached the limit. At most 8 SSIDs can be created on each band.
-33240 - The SSID name should be between 1 and 32 bytes.
modifySsidMacFilterConfig
PATCH /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/config/wlans/ssid/{ssidId}/mac-filter
Update SSID mac filter config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateSsidMacFilterOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
macFilterEnable | boolean | yes | SSID MAC Filter global config status. True: enable, false: disable. |
policy | integer | no | SSID MAC Filter policy config mode; It should be a value as follows: 0: Deny List, 1: Allow List. |
macFilterId | string | no | This field represents MAC Group Profile ID. MAC Group Profile can be created using Create a new group profile interface, and MAC Group Profile ID can be obtained from Get group profile list by type interface. |
ouiProfileIdList | array<string> | no | This field represents OUI Profile ID list. OUI Profile can be created using Create OUI profile interface, and OUI Profile ID can be obtained from Get OUI profile summary list interface(This configuration applies to the Pro Site of the Omada Pro Controller only). |
// omada_call_operation
{
"operationId": "modifySsidMacFilterConfig",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID MAC filter config
The interface requires one of the permissions:
Site Settings Manager Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
getGridDhcpUserList_1
GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/dhcp/user-list
Get gateway dhcp user list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridDhcpUserList_1",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
}
}Details, permissions and error codes
Get gateway dhcp user list.
The interface requires one of the permissions:
Site Device Manager View Only
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35912 - Fail to obtain DHCP Client List.
-35927 - The current gateway does not support obtaining the DHCP Client List.
getGeneralConfig_1
GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/general-config
Get gateway general config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getGeneralConfig_1",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
}
}Details, permissions and error codes
Get gateway general config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
modifyGeneralConfig_1
PATCH /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/general-config
Deprecated
This operation is deprecated.
Modify gateway general config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema GatewayGeneralConfig
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Device name should contain 1 to 128 characters. |
ledSetting | integer | yes | Led setting should be a value as follows: 0:off; 1:on; 2:Use Site Settings |
tagIds | array<string> | no | Tag IDs |
location | DeviceLocationDetailVO | no | (DeviceLocationDetailVO not expanded; call omada_get_schema "DeviceLocationDetailVO") |
snmp | OsgSnmpOpenApiVO | no | (OsgSnmpOpenApiVO not expanded; call omada_get_schema "OsgSnmpOpenApiVO") |
rememberDevice | integer | no |
// omada_call_operation
{
"operationId": "modifyGeneralConfig_1",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify gateway general config. This interface has been deprecated. Please use the following interface instead: Modify gateway general config v2.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
changeInternetState
POST /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/internet-state
Change Internet State
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema ChangeInternetStateOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
portId | integer | no | port ID |
operation | integer | no | operation, 1 for open, and 0 for close |
virtualWanId | string | no | If operating virtualWan, should give virtualWanId |
// omada_call_operation
{
"operationId": "changeInternetState",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
change internet state
The interface requires one of the permissions:
Site Device Manager Modify
getLanStatus
GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/lan-status
Get gateway lan status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getLanStatus",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
}
}Details, permissions and error codes
Get gateway lan status
The interface requires one of the permissions:
Global Dashboard Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
batchModifyPortConfig
PATCH /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/multi-ports/config
Batch modify gateway port config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema gateway ports config entity
| Field | Type | Required | Description |
|---|---|---|---|
portsConfig | array<GatewayPortConfig> | no | gateway port config entity |
// omada_call_operation
{
"operationId": "batchModifyPortConfig",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Batch modify gateway port config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-39507 - Gateway mirroring port reaches max limit.
-39706 - Please choose at least one port or LAG to be mirrored.
-39718 - Mirrored ports contain invalid port.
getIpptLanIpv6
GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/network/ipv6
Get lan ipv6 config for ippt
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getIpptLanIpv6",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
}
}Details, permissions and error codes
Get lan ipv6 config for ippt
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
modifyIpptLanIpv6
PATCH /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/network/ipv6
Modify lan ipv6 config for ippt
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema Ipv6ForIpptOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Is Lan ipv6 for Ip Pass-through enable. |
// omada_call_operation
{
"operationId": "modifyIpptLanIpv6",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify lan ipv6 config for ippt
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
getPinSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/pin
Get PIN setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getPinSetting",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
}
}Details, permissions and error codes
Get PIN setting.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-44300 - The gateway does not support pin management.
-44301 - Failed to get any response from the gateway.
-44305 - Do not make any configuration changes until the device is stably connected.
changePinSetting
PUT /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/pin
Modify PIN management information of an LTE model
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema OsgLtePinOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
type | integer | no | Type of change: 1: Changing the PIN setting, 2: Changing the PIN code. |
firstTry | boolean | no | Whether the first attempt was successful. |
pinCode | string | no | PIN code. |
pukCode | string | no | PUK code. |
newPinCode | string | no | New PIN code |
pinSetting | OsgLtePinSettingOpenApiVO | no | (OsgLtePinSettingOpenApiVO not expanded; call omada_get_schema "OsgLtePinSettingOpenApiVO") |
simCard | integer | no | When the device supports Dual-SIM card, parameter [simCard] should not be null.1: SIM1; 2: SIM2. |
// omada_call_operation
{
"operationId": "changePinSetting",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify PIN management information of an LTE model.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35411 - The gateway does not support Dual-SIM standby.
-44301 - Failed to get any response from the gateway.
-44305 - Do not make any configuration changes until the device is stably connected.
-44308 - Filed to change sim pin setting, please check your sim card status
getPorts
GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/ports
Get gateway ports
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getPorts",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
}
}Details, permissions and error codes
Get gateway ports
The interface requires one of the permissions:
Site Device Manager View Only
Site Statics Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
modifyPortConfig_1
PATCH /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/ports/{port}/config
Modify gateway port config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
port | path | string | yes | Gateway port number |
Request body — application/json (required) — schema GatewayPortSettingConfig
| Field | Type | Required | Description |
|---|---|---|---|
linkSpeed | integer | no | Port link speed should be a value as follows: 0: Auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2500M; 5: 10G; 6: 5G |
duplex | integer | no | Port duplex mode should be a value as follows: 0: Auto; 1: Half; 2: Full |
mirrorEnable | boolean | no | Port enabled mirror or not |
mirroredPorts | array<integer> | no | Mirrored Ports Set |
mirrorMode | integer | no | Port mirror mode should be a value as follow: 0: ingress; 1: egress; 2: ingress and egress. |
pvid | integer | no | Pvid(only for lan port.) |
flowControl | boolean | no | Enable flow control or not.(When the port supports flow control.) |
status | integer | no | Enable port or not, status should be a value as follows: 0: disable; 1: enable.(When the port supports status.) |
poeMode | integer | no | Enter a value as follows: 0: off; 1: 802.3at/af. |
dslSettings | DslSettings | no | (DslSettings not expanded; call omada_get_schema "DslSettings") |
tagSet | array<string> | no | Tag ID Set |
// omada_call_operation
{
"operationId": "modifyPortConfig_1",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>",
"port": "<port>"
},
"body": "{...}"
}Details, permissions and error codes
Modify gateway port config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-39507 - Gateway mirroring port reaches max limit.
-39706 - Please choose at least one port or LAG to be mirrored.
-39718 - Mirrored ports contain invalid port.
recoveryPoePort
POST /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/ports/{port}/restart
Recovery gateway poe port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
port | path | string | yes | Gateway port number |
// omada_call_operation
{
"operationId": "recoveryPoePort",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>",
"port": "<port>"
}
}Details, permissions and error codes
Recovery gateway poe port
The interface requires one of the permissions:
Site Device Manager Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-39508 - The current gateway model or firmware version does not support poe restart.
getSimCardUsed
GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/simCardUsed
Get SIM card used
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getSimCardUsed",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
}
}Details, permissions and error codes
Get SIM card used
The interface requires one of the permissions:
Site Device Manager View Only
getWanStatus
GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/wan-status
Get gateway wan status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getWanStatus",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
}
}Details, permissions and error codes
Get gateway wan status
The interface requires one of the permissions:
Global Dashboard Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
getEnableWanDetail
GET /openapi/v1/{omadacId}/sites/{siteId}/health/gateways/{gatewayMac}/wans/details
Get enable wan port detail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getEnableWanDetail",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
}
}Details, permissions and error codes
Get enable wan port detail
The interface requires one of the permissions:
Site Device Manager View Only
Incidents Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
mspMoveToCustomer_2
POST /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/cmd/gateways/move
Move site to target customer
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
customerId | path | string | yes | Customer ID |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema MoveToCustomerOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
deviceMacs | array<string> | no | Mac adress of the device. |
deviceMac | string | no | Mac adress of the device. If [deviceMac] is not empty, it takes effect with a higher priority than [deviceMacs]. |
customer | string | yes | Target customer id. |
site | string | yes | Target site id. |
// omada_call_operation
{
"operationId": "mspMoveToCustomer_2",
"params": {
"customerId": "<customerId>",
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Move site to target customer
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33421 - The gateway model in the target site is different from the gateway model configured in the WAN Settings Overrides in the original site.
-39034 - Failed to move this site because the devices are upgrading.
-39035 - Failed to move this site because the devices are rebooting.
-39036 - Failed to move this site because the devices are synchronizing configurations.
-39037 - Failed to move this site because the devices are provisioning.
-39050 - This device does not exist.
-39502 - Failed to move the gateway. The target site already has a gateway.
-44261 - The device does not support cluster and can only be adopted to its own site.
modifyOsgConfigForMsp
PATCH /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/gateways/{gatewayMac}
Modify gateway config for msp
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
customerId | path | string | yes | Customer ID |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema GatewayOsgMspConfig
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Device name should contain 1 to 128 characters. |
// omada_call_operation
{
"operationId": "modifyOsgConfigForMsp",
"params": {
"customerId": "<customerId>",
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify gateway config for msp
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
changeOduModeForMsp
POST /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/gateways/{gatewayMac}/change-mode
Change mode for 5G-Outdoor for msp
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
customerId | path | string | yes | Customer ID |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema ChangeOduModeVO
| Field | Type | Required | Description |
|---|---|---|---|
ippt | boolean | no | Current device mode: Ip Pass-through or not. |
// omada_call_operation
{
"operationId": "changeOduModeForMsp",
"params": {
"customerId": "<customerId>",
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Change mode for 5G-Outdoor for msp.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
modifyOsgConfigGeneralForMsp
PUT /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/gateways/{gatewayMac}/config/general
Modify general gateway config for msp
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
customerId | path | string | yes | Customer ID |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema GatewayMspConfigGeneral
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Device name should contain 1 to 128 characters. |
// omada_call_operation
{
"operationId": "modifyOsgConfigGeneralForMsp",
"params": {
"customerId": "<customerId>",
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify general gateway config for msp
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.